{% extends 'base.html' %}
{% load static %}
{% load humanize %}


{% block messages %}
{% if messages %}
{% for message in messages %}
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-8">
            {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}
            <div class="alert alert-danger" role="alert">
                {{message|safe}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% elif message.level == DEFAULT_MESSAGE_LEVELS.INFO %}
            <div class="alert alert-info" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% else %}
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% endif %}
        </div>
    </div>
</div>
{% endfor %}
{% endif %}
{% endblock %}

{% block body %}
<div class="container">
    <div class="row" style="margin-bottom:10px;">
        <div class="col-12 col-md-6">
            <h3>Pedido #{{pedido.Id}}</h3>
        </div>
        <div class="col-12 col-md-6 text-md-right">
            <a href="{% url 'pedidos' %}" class="btn btn-success">Volver</a>
        </div>
    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-4">
                            <span class="font-weight-bold">Dirección de entrega</span>
                            <br>
                            {{pedido.Cliente.Nombre}} {{pedido.Cliente.Apellido}}
                            <br>
                            {{pedido.Direccion.Nombre}}
                            <br>
                            {{pedido.Direccion.Pais}},
                            {{pedido.Direccion.Region}}
                            <br>
                            {{pedido.Direccion.Detalle}}
                        </div>
                        <div class="col-8">
                            <span class="font-weight-bold">Estado pedido</span>
                            <br>
                            {% include 'cliente/progressbar.html' %}
                        </div>

                        {% if pedido.Estado.Id > 5 %}
                        <div class="col-12">
                            <hr>
                            <span class="font-weight-bold">Transportista asignado</span>
                            <br>
                            {{pedido.Transportista.Nombre}} {{pedido.Transportista.Apellido}}
                            <br>
                            +569 {{pedido.Transportista.Telefono}}
                            <br>
                            {{pedido.Transportista.Email}}
                        </div>
                        {% endif %}
                    </div>


                </div>
            </div>
            <br>
        </div>
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <table class="table table-striped table-bordered text-center">
                        <tr>
                            <th>Producto</th>
                            <th>Cantidad (Toneladas)</th>
                            <th>Calidad</th>
                            <th>Subtotal</th>
                            <!--<th>Acciones</th>-->
                        </tr>
                        {% for d in pedido.DetallePedido %}
                        <tr>
                            <td>{{d.Producto.Nombre}}</td>
                            <td>
                                {% if not d.Toneladas == 0 %}
                                {{d.Toneladas}}
                                {% else %}
                                {% endif %}
                            </td>
                            <td>{{d.Calidad.Nombre}}</td>
                            <td>
                                {% for e in d.Ofertas %}
                                {% if e.Escogida %}
                                US${{e.TotalOferta|intcomma}}
                                {% endif %}
                                {% endfor %}

                            </td>
                        </tr>
                        {% endfor %}
                    </table>
                </div>
            </div>
            {% if pedido.Estado.Id >= 6 and pedido.Estado.Id <= 24 %}
            <br>
            <h3>Despacho</h3>
 
            <div class="card card-body">
                <table class="table text-center table-striped table-bordered">
                    <tr>
                        <th>Transporte</th>
                        <th>Subtotal</th>
                    </tr>
                    <tr>
                        <td>{{pedido.DetalleTransporte.Transportista}}</td>
                        <td>US${{pedido.DetalleTransporte.Subtotal|intcomma}}</td>
                    </tr>
                </table>
            </div>
            {% endif %}
        </div>
        <div class="col-6">
            <br>
            {% if pedido.Estado.Id == 4 %}
            <a href="{% url 'confirmar_pedido' id_pedido=pedido.Id %}" class="btn btn-success">Confirmar pedido</a>
            {% endif %}
            {% if pedido.Estado.Id <= 5 %}
            <a href="{% url 'cancelar_pedido' id_pedido=pedido.Id %}" class="btn btn-danger">Cancelar pedido</a>
            {% endif %}
            {% if pedido.Estado.Id == 8 %}
            <a href="{% url 'confirmar_recepcion' id_pedido=pedido.Id %}" class="btn btn-success">Confirmar
                recepción</a>
            {% endif %}
            {% if pedido.Estado.Id == 10 %}
            <a href="{% url 'pago_pedido' id_pedido=pedido.Id %}" class="btn btn-success"><i
                    class="fas fa-shopping-cart"></i> Pagar</a>
            {% endif %}
        </div>
        <div class="col-6 text-right">
            <br>
            <h4 class="font-weight-bold">Total: US${{pedido.Total|intcomma}}</h4>
            <br>
        </div>
    </div>


</div>
{% endblock %}
{% block scripts %}
<script>
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
</script>
{% endblock %}